#ifndef __CORR_FPGA_H__
#define __CORR_FPGA_H__

#include <stdlib.h>

#define MIN(a,b) ((a>b)?b:a)

#define _MAXDELAY 4096
const int FADD_LAT=8;
#define _SIZE (1<<14)
const size_t vecSize = _SIZE;
const size_t vecSizeBytes = _SIZE*sizeof(float);
const size_t vecSizeFPGA = _SIZE;
const size_t vecSizeFPGABytes = _SIZE*sizeof(float);

const int MAXDELAY=_MAXDELAY;

int readvector(char * filename, float * vector, int n_elems, float* mean_vector);


#endif /*__CORR_FPGA_H__*/
